Index: .hgtags
===================================================================
--- .hgtags	(revision 1219)
+++ .hgtags	(revision 1351)
@@ -13,2 +13,3 @@
 514d5121a12586b7ff320924d44028b677a01020 2.4.4
 baf879af43beea9764d920c2facd7226e90c5cf3 2.5.1
+cfad9f2a9f6ec03206ff5db91985208e833a7528 2.5.2
Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 1216)
+++ CHANGELOG	(revision 1350)
@@ -1,2 +1,19 @@
+Dotclear 2.5.2 - 2013-08-14
+===========================================================
+* Security fix: Fixed potential XSS
+* Bugfix: l10n Clearbricks library
+* <tpl:LoopPosition> now works <tpl:Attachments>
+* Dotclear update check may now be forced (ignoring cache)
+* Enforce integration of daInstaller plugin
+* Tags link button is now available on page editor
+* Default cache age is now 1 week instead of 2 hours
+* Quick entry dashboard module is not activated by default on new installation
+* New template {{tpl:BlogParentThemeURL}} (return URL of parent theme of blog's theme if any, URL of blog's theme otherwise)
+* Fix post comments number on comments deletion
+* Fix order of backup files
+* Minor enhancements
+* Various bug fixes
+* Various cosmetic adjustments
+
 Dotclear 2.5.1 - 2013-07-20
 ===========================================================
Index: admin/js/_users_actions.js
===================================================================
--- admin/js/_users_actions.js	(revision 935)
+++ admin/js/_users_actions.js	(revision 1362)
@@ -30,4 +30,11 @@
 				
 				if (perm == 'admin' && !E.disabled) {
+					perms[blog]['usage'].checked = E.checked;
+					perms[blog]['publish'].checked = E.checked;
+					perms[blog]['delete'].checked = E.checked;
+					perms[blog]['contentadmin'].checked = E.checked;
+					perms[blog]['categories'].checked = E.checked;
+					perms[blog]['media'].checked = E.checked;
+					perms[blog]['media_admin'].checked = E.checked;
 					perms[blog]['usage'].disabled = E.checked;
 					perms[blog]['publish'].disabled = E.checked;
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 1179)
+++ admin/posts_actions.php	(revision 1345)
@@ -16,4 +16,5 @@
 
 $params = array();
+$action = '';
 
 /* Actions
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 1179)
+++ inc/admin/lib.pager.php	(revision 1364)
@@ -87,5 +87,5 @@
 			html::escapeHTML($this->rs->cat_title));
 		} else {
-			$cat_title = __('None');
+			$cat_title = __('(No cat)');
 		}
 		
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 1233)
+++ inc/prepend.php	(revision 1352)
@@ -123,5 +123,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.5.2-dev');
+define('DC_VERSION','2.5.3-dev');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: locales/en/main.po
===================================================================
--- locales/en/main.po	(revision 1256)
+++ locales/en/main.po	(revision 1364)
@@ -2790,2 +2790,5 @@
 msgid "The following error was encountered while trying to read the database:"
 msgstr ""
+
+msgid "(No cat)"
+msgstr "(none)"
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 1288)
+++ locales/fr/main.po	(revision 1364)
@@ -2940,2 +2940,5 @@
 msgid "Invalid publication date"
 msgstr "Date de publication invalide"
+
+msgid "(No cat)"
+msgstr "(aucune)"
Index: plugins/antispam/filters/class.dc.filter.iplookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 1179)
+++ plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 1361)
@@ -44,19 +44,13 @@
 		}
 
-		$match = array();
-
 		$bls = $this->getServers();
 		$bls = preg_split('/\s*,\s*/',$bls);
 
-		foreach ($bls as $bl)
-		{
+		foreach ($bls as $bl) {
 			if ($this->dnsblLookup($ip,$bl)) {
-				$match[] = $bl;
+				// Pass by reference $status to contain matching DNSBL
+				$status = $bl;
+				return true;
 			}
-		}
-
-		if (!empty($match)) {
-			$status = substr(implode(', ',$match),0,128);
-			return true;
 		}
 	}
